| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::face::BasicFaceRecognizer Class Reference
Face Analysis

`#include <opencv2/face/facerec.hpp>`

Inheritance diagram for cv::face::BasicFaceRecognizer:

## Public Member Functions
virtual bool | empty () const CV_OVERRIDE
cv::Mat | getEigenValues () const
cv::Mat | getEigenVectors () const
cv::Mat | getLabels () const
cv::Mat | getMean () const
int | getNumComponents () const
std::vector< cv::Mat > | getProjections () const
double | getThreshold () const CV_OVERRIDE
virtual void | read (const FileNode &fn) CV_OVERRIDE
void | setNumComponents (int val)
void | setThreshold (double val) CV_OVERRIDE
virtual void | write (FileStorage &fs) const CV_OVERRIDE
Public Member Functions inherited from cv::face::FaceRecognizer
virtual String | getLabelInfo (int label) const
| Gets string information by label. More...
virtual std::vector< int > | getLabelsByString (const String &str) const
| Gets vector of labels by string. More...
int | predict (InputArray src) const
void | predict (InputArray src, int &label, double &confidence) const
| Predicts a label and associated confidence (e.g. distance) for a given input image. More...
virtual void | predict (InputArray src, Ptr< PredictCollector > collector) const =0
| if implemented - send all result of prediction to collector that can be used for somehow custom result handling More...
virtual void | read (const String &filename)
| Loads a FaceRecognizer and its model state. More...
virtual void | setLabelInfo (int label, const String &strInfo)
| Sets string info for the specified model's label. More...
virtual void | train (InputArrayOfArrays src, InputArray labels)=0
| Trains a FaceRecognizer with given data and associated labels. More...
virtual void | update (InputArrayOfArrays src, InputArray labels)
| Updates a FaceRecognizer with given data and associated labels. More...
virtual void | write (const String &filename) const
| Saves a FaceRecognizer and its model state. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual String | getDefaultName () const
virtual void | save (const String &filename) const
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Protected Attributes
Mat | _eigenvalues
Mat | _eigenvectors
Mat | _labels
Mat | _mean
int | _num_components
std::vector< Mat > | _projections
double | _threshold
Protected Attributes inherited from cv::face::FaceRecognizer
std::map< int, String > | _labelsInfo

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Function Documentation

## ◆ empty()

virtual bool cv::face::BasicFaceRecognizer::empty | ( |  | ) | const
| virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Implements cv::face::FaceRecognizer.

## ◆ getEigenValues()

cv::Mat cv::face::BasicFaceRecognizer::getEigenValues | ( |  | ) | const

Python:
| retval | = | cv.face_BasicFaceRecognizer.getEigenValues( |  | )

## ◆ getEigenVectors()

cv::Mat cv::face::BasicFaceRecognizer::getEigenVectors | ( |  | ) | const

Python:
| retval | = | cv.face_BasicFaceRecognizer.getEigenVectors( |  | )

## ◆ getLabels()

cv::Mat cv::face::BasicFaceRecognizer::getLabels | ( |  | ) | const

Python:
| retval | = | cv.face_BasicFaceRecognizer.getLabels( |  | )

## ◆ getMean()

cv::Mat cv::face::BasicFaceRecognizer::getMean | ( |  | ) | const

Python:
| retval | = | cv.face_BasicFaceRecognizer.getMean( |  | )

## ◆ getNumComponents()

int cv::face::BasicFaceRecognizer::getNumComponents | ( |  | ) | const

Python:
| retval | = | cv.face_BasicFaceRecognizer.getNumComponents( |  | )

See also
  setNumComponents

## ◆ getProjections()

std::vector<cv::Mat> cv::face::BasicFaceRecognizer::getProjections | ( |  | ) | const

Python:
| retval | = | cv.face_BasicFaceRecognizer.getProjections( |  | )

## ◆ getThreshold()

double cv::face::BasicFaceRecognizer::getThreshold | ( |  | ) | const
| virtual

Python:
| retval | = | cv.face_BasicFaceRecognizer.getThreshold( |  | )

See also
  setThreshold

Implements cv::face::FaceRecognizer.

## ◆ read()

virtual void cv::face::BasicFaceRecognizer::read | ( | const FileNode & | fn | ) |
| virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Implements cv::face::FaceRecognizer.

## ◆ setNumComponents()

void cv::face::BasicFaceRecognizer::setNumComponents | ( | int | val | ) |

Python:
| None | = | cv.face_BasicFaceRecognizer.setNumComponents( | val | )

See also
  getNumComponents

## ◆ setThreshold()

void cv::face::BasicFaceRecognizer::setThreshold | ( | double | val | ) |
| virtual

Python:
| None | = | cv.face_BasicFaceRecognizer.setThreshold( | val | )

See also
  getThreshold

Implements cv::face::FaceRecognizer.

## ◆ write()

virtual void cv::face::BasicFaceRecognizer::write | ( | FileStorage & | fs | ) | const
| virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Saves this model to a given FileStorage.

Parameters

  fs | The FileStorage to store this FaceRecognizer to.

Implements cv::face::FaceRecognizer.

## Member Data Documentation

## ◆ _eigenvalues

Mat cv::face::BasicFaceRecognizer::_eigenvalues
| protected

## ◆ _eigenvectors

Mat cv::face::BasicFaceRecognizer::_eigenvectors
| protected

## ◆ _labels

Mat cv::face::BasicFaceRecognizer::_labels
| protected

## ◆ _mean

Mat cv::face::BasicFaceRecognizer::_mean
| protected

## ◆ _num_components

int cv::face::BasicFaceRecognizer::_num_components
| protected

## ◆ _projections

std::vector<Mat> cv::face::BasicFaceRecognizer::_projections
| protected

## ◆ _threshold

double cv::face::BasicFaceRecognizer::_threshold
| protected

The documentation for this class was generated from the following file:

- opencv2/face/facerec.hpp